org.opencv.video

## Class Video

- java.lang.Object
- - org.opencv.video.Video

-     public class Video
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `MOTION_AFFINE`
    `static int` | `MOTION_EUCLIDEAN`
    `static int` | `MOTION_HOMOGRAPHY`
    `static int` | `MOTION_TRANSLATION`
    `static int` | `OPTFLOW_FARNEBACK_GAUSSIAN`
    `static int` | `OPTFLOW_LK_GET_MIN_EIGENVALS`
    `static int` | `OPTFLOW_USE_INITIAL_FLOW`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Video()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `buildOpticalFlowPyramid(Mat img, java.util.List<Mat> pyramid, Size winSize, int maxLevel)`
    `static int` | `buildOpticalFlowPyramid(Mat img, java.util.List<Mat> pyramid, Size winSize, int maxLevel, boolean withDerivatives)`
    `static int` | `buildOpticalFlowPyramid(Mat img, java.util.List<Mat> pyramid, Size winSize, int maxLevel, boolean withDerivatives, int pyrBorder)`
    `static int` | `buildOpticalFlowPyramid(Mat img, java.util.List<Mat> pyramid, Size winSize, int maxLevel, boolean withDerivatives, int pyrBorder, int derivBorder)`
    `static int` | `buildOpticalFlowPyramid(Mat img, java.util.List<Mat> pyramid, Size winSize, int maxLevel, boolean withDerivatives, int pyrBorder, int derivBorder, boolean tryReuseInputImage)`
    `static void` | `calcOpticalFlowFarneback(Mat prev, Mat next, Mat flow, double pyr_scale, int levels, int winsize, int iterations, int poly_n, double poly_sigma, int flags)`
    `static void` | `calcOpticalFlowPyrLK(Mat prevImg, Mat nextImg, MatOfPoint2f prevPts, MatOfPoint2f nextPts, MatOfByte status, MatOfFloat err)`
    `static void` | `calcOpticalFlowPyrLK(Mat prevImg, Mat nextImg, MatOfPoint2f prevPts, MatOfPoint2f nextPts, MatOfByte status, MatOfFloat err, Size winSize)`
    `static void` | `calcOpticalFlowPyrLK(Mat prevImg, Mat nextImg, MatOfPoint2f prevPts, MatOfPoint2f nextPts, MatOfByte status, MatOfFloat err, Size winSize, int maxLevel)`
    `static void` | `calcOpticalFlowPyrLK(Mat prevImg, Mat nextImg, MatOfPoint2f prevPts, MatOfPoint2f nextPts, MatOfByte status, MatOfFloat err, Size winSize, int maxLevel, TermCriteria criteria)`
    `static void` | `calcOpticalFlowPyrLK(Mat prevImg, Mat nextImg, MatOfPoint2f prevPts, MatOfPoint2f nextPts, MatOfByte status, MatOfFloat err, Size winSize, int maxLevel, TermCriteria criteria, int flags)`
    `static void` | `calcOpticalFlowPyrLK(Mat prevImg, Mat nextImg, MatOfPoint2f prevPts, MatOfPoint2f nextPts, MatOfByte status, MatOfFloat err, Size winSize, int maxLevel, TermCriteria criteria, int flags, double minEigThreshold)`
    `static RotatedRect` | `CamShift(Mat probImage, Rect window, TermCriteria criteria)`
    `static BackgroundSubtractorKNN` | `createBackgroundSubtractorKNN()`
    `static BackgroundSubtractorKNN` | `createBackgroundSubtractorKNN(int history)`
    `static BackgroundSubtractorKNN` | `createBackgroundSubtractorKNN(int history, double dist2Threshold)`
    `static BackgroundSubtractorKNN` | `createBackgroundSubtractorKNN(int history, double dist2Threshold, boolean detectShadows)`
    `static BackgroundSubtractorMOG2` | `createBackgroundSubtractorMOG2()`
    `static BackgroundSubtractorMOG2` | `createBackgroundSubtractorMOG2(int history)`
    `static BackgroundSubtractorMOG2` | `createBackgroundSubtractorMOG2(int history, double varThreshold)`
    `static BackgroundSubtractorMOG2` | `createBackgroundSubtractorMOG2(int history, double varThreshold, boolean detectShadows)`
    `static DualTVL1OpticalFlow` | `createOptFlow_DualTVL1()`
    `static Mat` | `estimateRigidTransform(Mat src, Mat dst, boolean fullAffine)`
    `static Mat` | `estimateRigidTransform(Mat src, Mat dst, boolean fullAffine, int ransacMaxIters, double ransacGoodRatio, int ransacSize0)`
    `static double` | `findTransformECC(Mat templateImage, Mat inputImage, Mat warpMatrix)`
    `static double` | `findTransformECC(Mat templateImage, Mat inputImage, Mat warpMatrix, int motionType)`
    `static double` | `findTransformECC(Mat templateImage, Mat inputImage, Mat warpMatrix, int motionType, TermCriteria criteria)`
    `static double` | `findTransformECC(Mat templateImage, Mat inputImage, Mat warpMatrix, int motionType, TermCriteria criteria, Mat inputMask)`
    `static int` | `meanShift(Mat probImage, Rect window, TermCriteria criteria)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### OPTFLOW_USE_INITIAL_FLOW

          public static final int OPTFLOW_USE_INITIAL_FLOW

      See Also:
        Constant Field Values

    - #### OPTFLOW_LK_GET_MIN_EIGENVALS

          public static final int OPTFLOW_LK_GET_MIN_EIGENVALS

      See Also:
        Constant Field Values

    - #### OPTFLOW_FARNEBACK_GAUSSIAN

          public static final int OPTFLOW_FARNEBACK_GAUSSIAN

      See Also:
        Constant Field Values

    - #### MOTION_TRANSLATION

          public static final int MOTION_TRANSLATION

      See Also:
        Constant Field Values

    - #### MOTION_EUCLIDEAN

          public static final int MOTION_EUCLIDEAN

      See Also:
        Constant Field Values

    - #### MOTION_AFFINE

          public static final int MOTION_AFFINE

      See Also:
        Constant Field Values

    - #### MOTION_HOMOGRAPHY

          public static final int MOTION_HOMOGRAPHY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Video

          public Video()

  - ### Method Detail

    - #### estimateRigidTransform

          public static Mat estimateRigidTransform(Mat src,
                                                   Mat dst,
                                                   boolean fullAffine,
                                                   int ransacMaxIters,
                                                   double ransacGoodRatio,
                                                   int ransacSize0)

    - #### estimateRigidTransform

          public static Mat estimateRigidTransform(Mat src,
                                                   Mat dst,
                                                   boolean fullAffine)

    - #### createBackgroundSubtractorKNN

          public static BackgroundSubtractorKNN createBackgroundSubtractorKNN(int history,
                                                                              double dist2Threshold,
                                                                              boolean detectShadows)

    - #### createBackgroundSubtractorKNN

          public static BackgroundSubtractorKNN createBackgroundSubtractorKNN(int history,
                                                                              double dist2Threshold)

    - #### createBackgroundSubtractorKNN

          public static BackgroundSubtractorKNN createBackgroundSubtractorKNN(int history)

    - #### createBackgroundSubtractorKNN

          public static BackgroundSubtractorKNN createBackgroundSubtractorKNN()

    - #### createBackgroundSubtractorMOG2

          public static BackgroundSubtractorMOG2 createBackgroundSubtractorMOG2(int history,
                                                                                double varThreshold,
                                                                                boolean detectShadows)

    - #### createBackgroundSubtractorMOG2

          public static BackgroundSubtractorMOG2 createBackgroundSubtractorMOG2(int history,
                                                                                double varThreshold)

    - #### createBackgroundSubtractorMOG2

          public static BackgroundSubtractorMOG2 createBackgroundSubtractorMOG2(int history)

    - #### createBackgroundSubtractorMOG2

          public static BackgroundSubtractorMOG2 createBackgroundSubtractorMOG2()

    - #### createOptFlow_DualTVL1

          public static DualTVL1OpticalFlow createOptFlow_DualTVL1()

    - #### CamShift

          public static RotatedRect CamShift(Mat probImage,
                                             Rect window,
                                             TermCriteria criteria)

    - #### findTransformECC

          public static double findTransformECC(Mat templateImage,
                                                Mat inputImage,
                                                Mat warpMatrix,
                                                int motionType,
                                                TermCriteria criteria,
                                                Mat inputMask)

    - #### findTransformECC

          public static double findTransformECC(Mat templateImage,
                                                Mat inputImage,
                                                Mat warpMatrix,
                                                int motionType,
                                                TermCriteria criteria)

    - #### findTransformECC

          public static double findTransformECC(Mat templateImage,
                                                Mat inputImage,
                                                Mat warpMatrix,
                                                int motionType)

    - #### findTransformECC

          public static double findTransformECC(Mat templateImage,
                                                Mat inputImage,
                                                Mat warpMatrix)

    - #### buildOpticalFlowPyramid

          public static int buildOpticalFlowPyramid(Mat img,
                                                    java.util.List<Mat> pyramid,
                                                    Size winSize,
                                                    int maxLevel,
                                                    boolean withDerivatives,
                                                    int pyrBorder,
                                                    int derivBorder,
                                                    boolean tryReuseInputImage)

    - #### buildOpticalFlowPyramid

          public static int buildOpticalFlowPyramid(Mat img,
                                                    java.util.List<Mat> pyramid,
                                                    Size winSize,
                                                    int maxLevel,
                                                    boolean withDerivatives,
                                                    int pyrBorder,
                                                    int derivBorder)

    - #### buildOpticalFlowPyramid

          public static int buildOpticalFlowPyramid(Mat img,
                                                    java.util.List<Mat> pyramid,
                                                    Size winSize,
                                                    int maxLevel,
                                                    boolean withDerivatives,
                                                    int pyrBorder)

    - #### buildOpticalFlowPyramid

          public static int buildOpticalFlowPyramid(Mat img,
                                                    java.util.List<Mat> pyramid,
                                                    Size winSize,
                                                    int maxLevel,
                                                    boolean withDerivatives)

    - #### buildOpticalFlowPyramid

          public static int buildOpticalFlowPyramid(Mat img,
                                                    java.util.List<Mat> pyramid,
                                                    Size winSize,
                                                    int maxLevel)

    - #### meanShift

          public static int meanShift(Mat probImage,
                                      Rect window,
                                      TermCriteria criteria)

    - #### calcOpticalFlowFarneback

          public static void calcOpticalFlowFarneback(Mat prev,
                                                      Mat next,
                                                      Mat flow,
                                                      double pyr_scale,
                                                      int levels,
                                                      int winsize,
                                                      int iterations,
                                                      int poly_n,
                                                      double poly_sigma,
                                                      int flags)

    - #### calcOpticalFlowPyrLK

          public static void calcOpticalFlowPyrLK(Mat prevImg,
                                                  Mat nextImg,
                                                  MatOfPoint2f prevPts,
                                                  MatOfPoint2f nextPts,
                                                  MatOfByte status,
                                                  MatOfFloat err,
                                                  Size winSize,
                                                  int maxLevel,
                                                  TermCriteria criteria,
                                                  int flags,
                                                  double minEigThreshold)

    - #### calcOpticalFlowPyrLK

          public static void calcOpticalFlowPyrLK(Mat prevImg,
                                                  Mat nextImg,
                                                  MatOfPoint2f prevPts,
                                                  MatOfPoint2f nextPts,
                                                  MatOfByte status,
                                                  MatOfFloat err,
                                                  Size winSize,
                                                  int maxLevel,
                                                  TermCriteria criteria,
                                                  int flags)

    - #### calcOpticalFlowPyrLK

          public static void calcOpticalFlowPyrLK(Mat prevImg,
                                                  Mat nextImg,
                                                  MatOfPoint2f prevPts,
                                                  MatOfPoint2f nextPts,
                                                  MatOfByte status,
                                                  MatOfFloat err,
                                                  Size winSize,
                                                  int maxLevel,
                                                  TermCriteria criteria)

    - #### calcOpticalFlowPyrLK

          public static void calcOpticalFlowPyrLK(Mat prevImg,
                                                  Mat nextImg,
                                                  MatOfPoint2f prevPts,
                                                  MatOfPoint2f nextPts,
                                                  MatOfByte status,
                                                  MatOfFloat err,
                                                  Size winSize,
                                                  int maxLevel)

    - #### calcOpticalFlowPyrLK

          public static void calcOpticalFlowPyrLK(Mat prevImg,
                                                  Mat nextImg,
                                                  MatOfPoint2f prevPts,
                                                  MatOfPoint2f nextPts,
                                                  MatOfByte status,
                                                  MatOfFloat err,
                                                  Size winSize)

    - #### calcOpticalFlowPyrLK

          public static void calcOpticalFlowPyrLK(Mat prevImg,
                                                  Mat nextImg,
                                                  MatOfPoint2f prevPts,
                                                  MatOfPoint2f nextPts,
                                                  MatOfByte status,
                                                  MatOfFloat err)

Generated on Wed Aug 29 2018 10:29:57 UTC / OpenCV 3.4.3